Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 618271 - texttopaps becomes runaway memory hog
texttopaps becomes runaway memory hog
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: paps (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Akira TAGOH
desktop-bugs@redhat.com
:
Depends On: 618483
Blocks: 659134
  Show dependency treegraph
 
Reported: 2010-07-26 10:36 EDT by Tim Waugh
Modified: 2011-02-23 07:12 EST (History)
3 users (show)

See Also:
Fixed In Version: paps-0.6.8-13.el6.1
Doc Type: Bug Fix
Doc Text:
Prior to this update, the presence of certain non-printable characters in the input file could cause paps to get stuck in an infinite loop, consuming all available system memory. With this update, the underlying source code has been modified to prevent this behavior, and such memory leaks no longer occur.
Story Points: ---
Clone Of:
: 618483 (view as bug list)
Environment:
Last Closed: 2011-02-23 07:12:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
badline (83 bytes, text/plain)
2010-07-26 10:36 EDT, Tim Waugh
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0296 normal SHIPPED_LIVE paps bug fix update 2011-02-23 07:12:53 EST

  None (edit)
Description Tim Waugh 2010-07-26 10:36:55 EDT
Created attachment 434432 [details]
badline

Description of problem:
Some input files cause texttopaps to turn into a runaway memory hog, eating all available memory.

Version-Release number of selected component (if applicable):
paps-0.6.8-13.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1./usr/lib/cups/filter/texttopaps 1 tim '' 1 '' badline
  
Actual results:
System slows to a crawl, processes start dying

Expected results:
PostScript output.

Additional info:
Found while investigating bug #595852.
Comment 1 Akira TAGOH 2010-07-26 22:03:34 EDT
confirmed on even Fedora.
Comment 3 Akira TAGOH 2010-12-08 23:59:22 EST
Fixed in paps-0.6.8-13.el6.1
Comment 5 Jaromir Hradilek 2010-12-10 05:57:41 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Prior to this update, the presence of certain non-printable characters in the input file could cause paps to get stuck in an infinite loop, consuming all available system memory. With this update, the underlying source code has been modified to prevent this behavior, and such memory leaks no longer occur.
Comment 7 errata-xmlrpc 2011-02-23 07:12:58 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0296.html

Note You need to log in before you can comment on or make changes to this bug.